Subject: Re: Wording of Authorization deefinition (was Re: protocol-27 comments #3)

From: "Jim Sermersheim" <[email-masked]>
Date: Mon, 08 Nov 2004 14:08:52 -0700

Is this less or more confusing?
The process of authorization may consider (among other things),
authentication information obtained during the bind operation, and/or
may consider other acts of authentication (such as lower layer security
services).
 
Jim

>>> Hallvard B Furuseth <[email-masked]> 11/8/04 2:44:21 PM
>>>
Jim Sermersheim writes:
>>>> Hallvard B Furuseth [email-masked] > 11/8/04 5:59:28 AM
>>
>>> 4.2. Bind Operation
>>
>>> Authorization is the decision of which access an operation has to
>>> the directory. Among other things, the process of authorization
>>> takes as input authentication information obtained during the bind
>>> operation and/or other acts of authentication (such as lower layer
>>> security services).
>>
>> Authorization can also - or instead - take as input information
which
>> is not normally considered acts of authentication, such as the IP
>> number of time of day.

Heh. I tied "Among other things," to the wrong part of the rest of the
sentence. Can't see how I managed that...

-- 
Hallvard

---

From: Hallvard B Furuseth <[email-masked]>
Date: Tue, 9 Nov 2004 12:32:32 +0100

> may consider other acts of authentication (such as lower layer security

Less confusing, less neat.  I would
   s/consider (among other things)/among other things consider/
   s/may consider other acts/other acts/.
Or keep the original text, but with s/takes as input/may consider/.

Though now that I see how the original text should be read, I'm not sure
I want to argue it is confusing.  I'm quite capable of confusing myself
without help from the draft.

-- 
Hallvard